import React, { useEffect, useRef } from "react";
import AmapViewer from "@/lib/AmapViewer";
import ShadowMaterialAmap from "./modules/shadow";
import styles from "./index.less";

interface OwnProps {}

type Props = OwnProps;

const PAGE_ID = "DEMO_THREEAMAP",
  CENTER = [118.794694, 32.434165];
const ThreeAmap: React.FC<Props> = (props) => {
  const amapRef = useRef<AmapViewer>();
  useEffect(() => {
    init();
    return () => amapRef.current?.destoryMap();
  }, []);
  const init = () => {
    amapRef.current = new AmapViewer(PAGE_ID, CENTER);
    const amap = amapRef.current;
    const shadowMaterialAmap = new ShadowMaterialAmap(amap);
    shadowMaterialAmap.CreateGLlayer();
  };
  return (
    <div className={styles.amap_container}>
      <div id={PAGE_ID} />
    </div>
  );
};

export default ThreeAmap;
